﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace DemoSDK
{
    static class Program
    {
        /// <summary>
        /// 这个是设置引用文件的位置，在开发时，需要将lpsdk.dll和lpcore.dll文件从Runtime目录中拷贝出来，打包时不需要拷贝出来。
        /// 开发的程序是和火车浏览器同一目录的，最终打包时，该目录只需要保留HVMRuntm.dll和TasksRunner.exe即可。
        /// </summary>
        static Program()
        {
            AppDomain.CurrentDomain.SetData("PRIVATE_BINPATH", "RunTime;");
            AppDomain.CurrentDomain.SetData("BINPATH_PROBE_ONLY", "RunTime;");
            System.Reflection.MethodBase m = typeof(AppDomainSetup).GetMethod("UpdateContextProperty", System.Reflection.BindingFlags.NonPublic | System.Reflection.BindingFlags.Static);
            System.Reflection.MethodBase funsion = typeof(AppDomain).GetMethod("GetFusionContext", System.Reflection.BindingFlags.NonPublic | System.Reflection.BindingFlags.Instance);
            m.Invoke(null, new object[] { funsion.Invoke(AppDomain.CurrentDomain, null), "PRIVATE_BINPATH", "RunTime;" });
        }
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            //加载配置，必须调用
            LpCore.IniConfig.LoadConfig();
            LpCore.TasksRunner.Commond.LoadAction();
            LpCore.TasksRunner.Commond.LoadRunTask();
            //配置加载结束

            Application.Run(new Form1());
        }
    }
}
